<!--The content below is only a placeholder and can be replaced.-->
<div style="text-align:center">
  <h1>
    Welcome to {{ title }}!
  </h1>
</div>
<app-sudoku-input></app-sudoku-input>
<!-- <pre>{{input.sudoku | json}}</pre> -->
<hr />
<button (click)="solve()">Solve</button>
<button (click)="deleteSolution()">Delete Solution</button>
<button (click)="clearInput()">Clear Input</button>
<button (click)="loadExample(simpleExample)">Load simple Example</button>
<button (click)="loadExample(complexExample)">Load complex Example</button>
<button (click)="isInputValid()">See if input is valid</button>
<hr />
<div *ngFor="let step of solution; let i = index" style="float:left">

  <app-sudoku-display [sudoku]="step.after" [highlightedCell]="step.changedCell" [likelyness]="step.likelyness"
    [heading]="'Step ' + (i + 1)">
  </app-sudoku-display>
</div>
